[Success]
code = 0
desc = "请求成功"

[BadRequest]
code = 24400
desc = "请求错误"

[UnprocessableEntity]#ok
code = 24422
desc = "请求参数异常"

[TooManyRequests] #ok
code = 24429
desc = "请求过于频繁"

# 240xx - 通用异常

[InvalidActionNum] #ok
code = 24001
desc = "请求动作无效"

# 245xx - 数据库操作异常
[DataQueryError]
code = 24501
desc = "数据查询异常"

[DataSaveError]
code = 24502
desc = "数据保存异常"

[DataDeleteError]
code = 24503
desc = "数据删除异常"

[DataUpdateError]
code = 24504
desc = "数据更新异常"

# 246xx - 用户异常
[UserNotFound]
code = 24601
desc = "用户不存在"

[UserAlreadyExist]
code = 24602
desc = "用户已存在"

[UserPasswordError]
code = 24603
desc = "用户密码错误"

[UserNotLogin]
code = 24604
desc = "用户未登录"

[TokenGenerateError]
code = 24611
desc = "token生成失败"

[TokenEmpty]
code = 24612
desc = "token为空"

[TokenParseError]
code = 24613
desc = "token解析失败"

[TokenInvalid] #ok
code = 24614
desc = "token失效"

[TokenExpired]
code = 24615
desc = "token已过期"

[TokenFormatError]
code = 24616
desc = "token格式无效"

[TokenClearError]
code = 24617
desc = "token清空失败"


[InvalidTemplateType]
code = 52001
desc = "无效的模板类型"

[InvalidTemplateName]
code = 52002
desc = "无效的模板名称"

[TemplateCreateError]#ok
code = 52003
desc = "模板创建失败"

[TemplateUpdateError]#ok
code = 52004
desc = "模板更新失败"

[TemplateQueryError]#ok
code = 52005
desc = "模板查询失败"

[TemplateDeleteError]#ok
code = 52006
desc = "模板删除失败"

[PointCreateError]
code = 52007
desc = "点位创建失败"

[PointUpdateError]
code = 52008
desc = "点位更新失败"

[PointQueryError]
code = 52009
desc = "点位查询失败"

[PointDeleteError]
code = 52010
desc = "点位删除失败"

[InvalidDriverType]
code = 52101
desc = "无效的驱动类型"

[InvalidDriverName]
code = 52102
desc = "无效的驱动名称"

[DriverCreateError]
code = 52103
desc = "驱动创建失败"

[DriverUpdateError]
code = 52104
desc = "驱动更新失败"

[DriverQueryError]#ok
code = 52105
desc = "驱动查询失败"

[DriverDeleteError]
code = 52106
desc = "驱动删除失败"

[DriverStartError]
code = 52107
desc = "驱动启动失败"

[DriverStopError]
code = 52108
desc = "驱动停止失败"

[DriverWriteError]
code = 52109
desc = "驱动写入失败"

[InvalidDeviceType]
code = 52201
desc = "无效的设备类型"

[InvalidDeviceName]
code = 52202
desc = "无效的设备名称"

[DeviceCreateError]
code = 52203
desc = "设备创建失败"

[DeviceUpdateError]
code = 52204
desc = "设备更新失败"

[DeviceQueryError]
code = 52205
desc = "设备查询失败"

[DeviceDeleteError]
code = 52206
desc = "设备删除失败"

[Unauthorized]
code = 401
desc = "未授权访问"


[Continue]
code = 100
desc = "继续请求"

[Created]
code = 201
desc = "资源已创建"

[Accepted]
code = 202
desc = "请求已接受但未处理完成"

[NoContent]
code = 204
desc = "请求成功但无返回内容"

[MovedPermanently]
code = 301
desc = "资源已永久移动"

[Found]
code = 302
desc = "资源临时移动"

[NotModified]
code = 304
desc = "资源未修改（缓存有效）"





[Forbidden]
code = 403
desc = "禁止访问"

[MethodNotAllowed]
code = 405
desc = "请求方法不允许"

[Conflict]
code = 409
desc = "请求冲突"

[InternalServerError]
code = 500
desc = "服务器内部错误"
